


#intro
execute if score !stage mission matches 1801 run tellraw @a ["",{"text":"Press ","color":"dark_red"},{"text":"F ","color":"red"},{"text":"while\nflying to boost","color":"dark_red"}]
execute if score !stage mission matches 1801 run playsound minecraft:block.note_block.bell ambient @a ~ ~ ~ 10 0
execute if score !stage mission matches 1801..1821 run title @a[tag=verified] title {"text":"Ready","color":"red"}

execute if score !stage mission matches 1822 run playsound minecraft:block.note_block.bell ambient @a ~ ~ ~ 10 0
execute if score !stage mission matches 1822..1842 run title @a[tag=verified] title {"text":"Set","color":"yellow"}

execute if score !stage mission matches 1843 run playsound minecraft:music_disc.mellohi ambient @a ~ ~ ~ 1000 2
execute if score !stage mission matches 1843 run playsound minecraft:block.note_block.bell ambient @a ~ ~ ~ 10 0
execute if score !stage mission matches 1843 run bossbar set mission name {"text":"Fly through Light Blue balloon ring","color":"gold"}
execute if score !stage mission matches 1843 run summon armor_stand 159.48 184.50 -222.49 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["fake_pos"]}
execute if score !stage mission matches 1843 run summon armor_stand 159.48 184.50 -222.49 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !stage mission matches 1843 run title @a[tag=verified] title {"text":"Fly","color":"green"}
execute if score !stage mission matches 1843 run scoreboard players set @a title_timer 10
execute if score !stage mission matches 1843 run scoreboard players set !anything mission 100

execute if score !stage mission matches 1801..1843 run title @a[tag=verified] subtitle {"text":"Press F while flying to boost","color":"gray"}
execute if score !stage mission matches 1801..1843 run effect give @a[tag=verified] invisibility 1 0 true
execute if score !stage mission matches 1801..1843 as @a[tag=verified] run execute in minecraft:overworld run tp @s 176.51 181.50 -162.42 164.28 -1.62
execute if score !stage mission matches 1801..1843 run scoreboard players add !stage mission 1

#fly villager and player
execute if score !anything mission matches 1.. as @e[tag=friend] at @s run tp @s ^ ^ ^0.9 facing entity @e[tag=fake_pos,sort=nearest,limit=1]
execute if score !anything mission matches 1.. as @e[tag=friend] at @s if entity @e[tag=fake_pos,distance=0..3,limit=1] run scoreboard players remove !anything mission 1

execute if score !stage mission matches 1844.. as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run playsound minecraft:block.respawn_anchor.charge ambient @a ~ ~ ~ 100 1
execute if score !stage mission matches 1844.. as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run scoreboard players add !stage mission 1

replaceitem entity @a[tag=verified] armor.chest elytra

effect give @a resistance 1 255 true

#villager checkpoints
execute if score !anything mission matches 99 as @e[tag=friend] at @s if entity @e[tag=fake_pos,distance=0..3,limit=1] run summon armor_stand 65.51 172.50 -199.53 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["fake_pos"]}
execute if score !anything mission matches 99 as @e[tag=friend] at @s as @e[tag=fake_pos,distance=0..3,limit=1] run kill @s

execute if score !anything mission matches 98 as @e[tag=friend] at @s if entity @e[tag=fake_pos,distance=0..3,limit=1] run summon armor_stand 65.55 184.50 -90.49 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["fake_pos"]}
execute if score !anything mission matches 98 as @e[tag=friend] at @s as @e[tag=fake_pos,distance=0..3,limit=1] run kill @s

execute if score !anything mission matches 97 as @e[tag=friend] at @s if entity @e[tag=fake_pos,distance=0..3,limit=1] run summon armor_stand 93.50 185.50 5.52 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["fake_pos"]}
execute if score !anything mission matches 97 as @e[tag=friend] at @s as @e[tag=fake_pos,distance=0..3,limit=1] run kill @s

execute if score !anything mission matches 96 as @e[tag=friend] at @s if entity @e[tag=fake_pos,distance=0..3,limit=1] run summon armor_stand 218.43 197.50 -17.48 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["fake_pos"]}
execute if score !anything mission matches 96 as @e[tag=friend] at @s as @e[tag=fake_pos,distance=0..3,limit=1] run kill @s

execute if score !anything mission matches 95 as @e[tag=friend] at @s if entity @e[tag=fake_pos,distance=0..3,limit=1] run summon armor_stand 138.49 195.50 -106.53 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["fake_pos"]}
execute if score !anything mission matches 95 as @e[tag=friend] at @s as @e[tag=fake_pos,distance=0..3,limit=1] run kill @s

execute if score !anything mission matches 94 as @e[tag=friend] at @s if entity @e[tag=fake_pos,distance=0..3,limit=1] run summon armor_stand 109.49 189.50 -159.52 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["fake_pos"]}
execute if score !anything mission matches 94 as @e[tag=friend] at @s as @e[tag=fake_pos,distance=0..3,limit=1] run kill @s

execute if score !anything mission matches 93 as @e[tag=friend] at @s if entity @e[tag=fake_pos,distance=0..3,limit=1] run summon armor_stand 30.47 206.50 -166.53 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["fake_pos"]}
execute if score !anything mission matches 93 as @e[tag=friend] at @s as @e[tag=fake_pos,distance=0..3,limit=1] run kill @s

execute if score !anything mission matches 92 as @e[tag=friend] at @s if entity @e[tag=fake_pos,distance=0..3,limit=1] run summon armor_stand 32.55 165.50 -26.47 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["fake_pos"]}
execute if score !anything mission matches 92 as @e[tag=friend] at @s as @e[tag=fake_pos,distance=0..3,limit=1] run kill @s

execute if score !anything mission matches 91 as @e[tag=friend] at @s if entity @e[tag=fake_pos,distance=0..3,limit=1] run summon armor_stand 157.52 174.50 -40.46 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["fake_pos"]}
execute if score !anything mission matches 91 as @e[tag=friend] at @s as @e[tag=fake_pos,distance=0..3,limit=1] run kill @s

execute if score !anything mission matches 90 as @e[tag=friend] at @s if entity @e[tag=fake_pos,distance=0..3,limit=1] run summon armor_stand 212.57 168.50 -110.44 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["fake_pos"]}
execute if score !anything mission matches 90 as @e[tag=friend] at @s as @e[tag=fake_pos,distance=0..3,limit=1] run kill @s

execute if score !anything mission matches 89 as @e[tag=friend] at @s if entity @e[tag=fake_pos,distance=0..3,limit=1] run summon armor_stand 229.50 187.50 -227.50 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["fake_pos"]}
execute if score !anything mission matches 89 as @e[tag=friend] at @s as @e[tag=fake_pos,distance=0..3,limit=1] run kill @s



#player checkpoints
execute if score !stage mission matches 1845 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run summon armor_stand 65.51 172.50 -199.53 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !stage mission matches 1845 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run bossbar set mission name {"text":"Fly through Yellow balloon ring","color":"gold"}
execute if score !stage mission matches 1845 as @a[tag=verified] at @s as @e[tag=target_stand,distance=0..3,limit=1] run kill @s

execute if score !stage mission matches 1846 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run summon armor_stand 65.55 184.50 -90.49 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !stage mission matches 1846 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run bossbar set mission name {"text":"Fly through Gray balloon ring","color":"gold"}
execute if score !stage mission matches 1846 as @a[tag=verified] at @s as @e[tag=target_stand,distance=0..3,limit=1] run kill @s

execute if score !stage mission matches 1847 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run summon armor_stand 93.50 185.50 5.52 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !stage mission matches 1847 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run bossbar set mission name {"text":"Fly through Cyan balloon ring","color":"gold"}
execute if score !stage mission matches 1847 as @a[tag=verified] at @s as @e[tag=target_stand,distance=0..3,limit=1] run kill @s

execute if score !stage mission matches 1848 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run summon armor_stand 218.43 197.50 -17.48 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !stage mission matches 1848 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run bossbar set mission name {"text":"Fly through Pink balloon ring","color":"gold"}
execute if score !stage mission matches 1848 as @a[tag=verified] at @s as @e[tag=target_stand,distance=0..3,limit=1] run kill @s

execute if score !stage mission matches 1849 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run summon armor_stand 138.49 195.50 -106.53 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !stage mission matches 1849 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run bossbar set mission name {"text":"Fly through Orange balloon ring","color":"gold"}
execute if score !stage mission matches 1849 as @a[tag=verified] at @s as @e[tag=target_stand,distance=0..3,limit=1] run kill @s

execute if score !stage mission matches 1850 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run summon armor_stand 109.49 189.50 -159.52 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !stage mission matches 1850 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run bossbar set mission name {"text":"Fly through White balloon ring","color":"gold"}
execute if score !stage mission matches 1850 as @a[tag=verified] at @s as @e[tag=target_stand,distance=0..3,limit=1] run kill @s

execute if score !stage mission matches 1851 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run summon armor_stand 30.47 206.50 -166.53 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !stage mission matches 1851 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run bossbar set mission name {"text":"Fly through Green balloon ring","color":"gold"}
execute if score !stage mission matches 1851 as @a[tag=verified] at @s as @e[tag=target_stand,distance=0..3,limit=1] run kill @s

execute if score !stage mission matches 1852 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run summon armor_stand 32.55 165.50 -26.47 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !stage mission matches 1852 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run bossbar set mission name {"text":"Fly through Dark Blue balloon ring","color":"gold"}
execute if score !stage mission matches 1852 as @a[tag=verified] at @s as @e[tag=target_stand,distance=0..3,limit=1] run kill @s

execute if score !stage mission matches 1853 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run summon armor_stand 157.52 174.50 -40.46 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !stage mission matches 1853 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run bossbar set mission name {"text":"Fly through Brown balloon ring","color":"gold"}
execute if score !stage mission matches 1853 as @a[tag=verified] at @s as @e[tag=target_stand,distance=0..3,limit=1] run kill @s

execute if score !stage mission matches 1854 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run summon armor_stand 212.57 168.50 -110.44 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !stage mission matches 1854 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run bossbar set mission name {"text":"Fly through Red balloon ring","color":"gold"}
execute if score !stage mission matches 1854 as @a[tag=verified] at @s as @e[tag=target_stand,distance=0..3,limit=1] run kill @s

execute if score !stage mission matches 1855 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run summon armor_stand 229.50 187.50 -227.50 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !stage mission matches 1855 as @a[tag=verified] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run bossbar set mission name {"text":"Fly through Lime balloon ring","color":"gold"}
execute if score !stage mission matches 1855 as @a[tag=verified] at @s as @e[tag=target_stand,distance=0..3,limit=1] run kill @s

#win and fail
execute if score !stage mission matches 1800 if entity @s[y=0,dy=180] run scoreboard players set !fail_reason other 2
execute if score !stage mission matches 1856 as @a[tag=verified,sort=random,limit=1] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run effect give @a[tag=verified] slow_falling 16 0 false
execute if score !stage mission matches 1856 as @a[tag=verified,sort=random,limit=1] at @s if entity @e[tag=target_stand,distance=0..3,limit=1] run function we:mission_completed

execute if score !stage mission matches 1844..1856 if score !anything mission matches ..88 as @e[tag=friend] at @s run scoreboard players set !fail_reason other 15

execute if score !stage mission matches 1845..1856 if entity @a[tag=verified,nbt={OnGround:1b}] run scoreboard players set !fail_reason other 17










