












#set full health and hunger
effect give @a saturation 1 1 true
effect give @a instant_health 1 10 true
title @a times 0 50 20
title @a subtitle {"text":""}
tag @a remove seen_start_text

#load bossbar all missions
bossbar add mission 1
bossbar set mission color yellow
bossbar set mission visible true
bossbar set mission style progress
bossbar set mission value 1
bossbar set mission max 1
bossbar set mission players @a

#load scoreboards all missions
execute as @a[tag=verified] at @s run playsound minecraft:item.trident.thunder ambient @a ~ ~ ~ 10 2
execute as @a[tag=verified] at @s run particle minecraft:item green_glazed_terracotta ~ ~1 ~ 0.3 0.5 0.3 0.3 100 force @a
scoreboard players set !inmission mission 1
scoreboard players set @a title_timer 80


#load mission 1
execute if score !missions mission matches 1 run scoreboard players set !level mission 1
execute if score !missions mission matches 1 run title @a title {"text":"Stolen Horse","color":"dark_aqua"}
execute if score !missions mission matches 1 run title @a subtitle {"text":"Steal and return the horse","color":"aqua"}
execute if score !missions mission matches 1 run scoreboard players set !stage mission 1
execute if score !missions mission matches 1 run bossbar set mission name {"text":"Drop the Mission Book to see where to go!","color":"gold"}
execute if score !missions mission matches 1 run tellraw @a[tag=verified] {"text":"[Hint] When you drop the\nmission book you get rotated\nin the direction you need to go in","color":"light_purple"}
summon armor_stand 48.50 142.00 -126.49 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_food","custom_feature"]}

#load mission 2
execute if score !missions mission matches 2 run scoreboard players set !level mission 3
execute if score !missions mission matches 2 run scoreboard players set !stage mission 363
execute if score !missions mission matches 2 run title @a title {"text":"Horse race","color":"dark_aqua"}
execute if score !missions mission matches 2 run title @a subtitle {"text":"Kill the stealer and return the horse","color":"aqua"}
execute if score !missions mission matches 2 run summon armor_stand 51.50 142.00 -129.51 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_food","custom_feature"]}
execute if score !missions mission matches 2 run summon armor_stand 49.48 141.00 -123.44 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_sword","custom_feature"]}
execute if score !missions mission matches 2 run summon armor_stand 189.54 129.00 -104.54 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_armor","custom_feature"]}
execute if score !missions mission matches 2 run summon armor_stand 181.55 125.00 -104.41 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_food","custom_feature"]}

#load mission 3
execute if score !missions mission matches 3 run scoreboard players set !level mission 6
execute if score !missions mission matches 3 run scoreboard players set !stage mission 545
execute if score !missions mission matches 3 run title @a title {"text":"No Longer A Party","color":"dark_aqua"}
execute if score !missions mission matches 3 run title @a subtitle {"text":"Land on the roof and kill all party members","color":"aqua"}

#load mission 4
execute if score !missions mission matches 4 run scoreboard players set !level mission 7
execute if score !missions mission matches 4 run scoreboard players set !stage mission 600
execute if score !missions mission matches 4 run title @a title {"text":"Pretend To Work","color":"dark_aqua"}
execute if score !missions mission matches 4 run title @a subtitle {"text":"Pretend to clean a house but steal a gun instead","color":"aqua"}
execute if score !missions mission matches 4 run summon armor_stand 80.52 122.00 -94.49 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_pistol","custom_feature"]}

#load mission 5
execute if score !missions mission matches 5 run summon armor_stand 54.55 146.00 -128.51 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_pistol","custom_feature"]}
execute if score !missions mission matches 5 run summon armor_stand 52.49 146.00 -128.52 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_pistol","custom_feature"]}
execute if score !missions mission matches 5 run summon armor_stand 50.48 146.00 -128.47 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_pistol","custom_feature"]}
execute if score !missions mission matches 5 run summon armor_stand 48.51 146.00 -128.49 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_pistol","custom_feature"]}
execute if score !missions mission matches 5 run summon armor_stand 54.52 147.00 -120.53 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_grand","custom_feature"]}
execute if score !missions mission matches 5 run scoreboard players set !level mission 8
execute if score !missions mission matches 5 run scoreboard players set !stage mission 600
execute if score !missions mission matches 5 run title @a title {"text":"Home Invasion","color":"dark_aqua"}
execute if score !missions mission matches 5 run title @a subtitle {"text":"Defend the mission house from the gang","color":"aqua"}

#load mission 6
execute if score !missions mission matches 6 run summon armor_stand 212.43 147.00 -69.53 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_pistol","custom_feature"]}
execute if score !missions mission matches 6 run summon armor_stand 205.51 142.00 -13.51 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_grand","custom_feature"]}
execute if score !missions mission matches 6 run scoreboard players set !level mission 9
execute if score !missions mission matches 6 run scoreboard players set !stage mission 1700
execute if score !missions mission matches 6 run summon armor_stand 207.45 139.00 -13.51 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_gun","custom_feature"]}
execute if score !missions mission matches 6 run title @a title {"text":"On The Water","color":"dark_aqua"}
execute if score !missions mission matches 6 run title @a subtitle {"text":"Raid the pirate ship","color":"aqua"}

#load mission 7
execute if score !missions mission matches 7 run summon armor_stand 191.58 183.00 -160.46 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_food","custom_feature"]}
execute if score !missions mission matches 7 run scoreboard players set !level mission 11
execute if score !missions mission matches 7 run scoreboard players set !stage mission 1800
execute if score !missions mission matches 7 run title @a title {"text":"Eyes In The Sky","color":"dark_aqua"}
execute if score !missions mission matches 7 run title @a subtitle {"text":"Win the elytra race","color":"aqua"}

#load mission 8
execute if score !missions mission matches 8 run summon armor_stand 201.48 183.00 -159.49 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_gun","custom_feature"]}
execute if score !missions mission matches 8 run summon armor_stand 27.58 141.00 6.55 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_heal","custom_feature"]}
execute if score !missions mission matches 8 run scoreboard players set !level mission 12
execute if score !missions mission matches 8 run scoreboard players set !stage mission 1900
execute if score !missions mission matches 8 run summon armor_stand 232.61 186.00 -159.55 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_sniper","custom_feature"]}
execute if score !missions mission matches 8 run title @a title {"text":"Sky Battle","color":"dark_aqua"}
execute if score !missions mission matches 8 run title @a subtitle {"text":"Raid the cargo plane","color":"aqua"}

#load mission 9
execute if score !missions mission matches 9 run scoreboard players set !level mission 13
execute if score !missions mission matches 9 run scoreboard players set !stage mission 2100
execute if score !missions mission matches 9 run title @a title {"text":"Important Paper","color":"dark_aqua"}
execute if score !missions mission matches 9 run title @a subtitle {"text":"Steal a paper containing information","color":"aqua"}

#load mission 10
execute if score !missions mission matches 10 run summon armor_stand 183.55 158.00 -203.51 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_sniper","custom_feature"]}
execute if score !missions mission matches 10 run summon armor_stand 183.54 148.00 -200.42 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_grand","custom_feature"]}
execute if score !missions mission matches 10 run scoreboard players set !level mission 14
execute if score !missions mission matches 10 run scoreboard players set !stage mission 2200
execute if score !missions mission matches 10 run title @a title {"text":"Hitman","color":"dark_aqua"}
execute if score !missions mission matches 10 run title @a subtitle {"text":"Assassinate the target","color":"aqua"}

#load mission 11
execute if score !missions mission matches 11 run scoreboard players set !level mission 15
execute if score !missions mission matches 11 run scoreboard players set !stage mission 2300
execute if score !missions mission matches 11 run summon armor_stand 202.49 116.00 -124.50 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_shotgun","custom_feature"]}
execute if score !missions mission matches 11 run title @a title {"text":"Hacker","color":"dark_aqua"}
execute if score !missions mission matches 11 run title @a subtitle {"text":"Hack into the vault","color":"aqua"}

#load mission 12
execute if score !missions mission matches 12 run summon armor_stand 126.42 129.00 -113.57 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_shotgun","custom_feature"]}
execute if score !missions mission matches 12 run scoreboard players set !level mission 16
execute if score !missions mission matches 12 run scoreboard players set !stage mission 2400
execute if score !missions mission matches 12 run summon armor_stand 126.42 129.00 -112.57 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_shotgun","custom_feature"]}
execute if score !missions mission matches 12 run title @a title {"text":"Apocalypse","color":"dark_aqua"}
execute if score !missions mission matches 12 run title @a subtitle {"text":"Defend the house against the monsters","color":"aqua"}

#load mission 13
execute if score !missions mission matches 13 run summon armor_stand 243.47 143.88 1.51 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_power","custom_feature"]}
execute if score !missions mission matches 13 run scoreboard players set !level mission 17
execute if score !missions mission matches 13 run scoreboard players set !stage mission 2700
execute if score !missions mission matches 13 run title @a title {"text":"BodyGuard","color":"dark_aqua"}
execute if score !missions mission matches 13 run title @a subtitle {"text":"Protect the trader from the enemies","color":"aqua"}

#load mission 14
execute if score !missions mission matches 14 run summon armor_stand 173.45 124.00 -228.48 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_gun","custom_feature"]}
execute if score !missions mission matches 14 run summon armor_stand 151.53 124.00 -223.63 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_armor","custom_feature"]}
execute if score !missions mission matches 14 run summon armor_stand 163.53 120.88 -201.55 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_bomb","custom_feature"]}
execute if score !missions mission matches 14 run scoreboard players set !level mission 18
execute if score !missions mission matches 14 run scoreboard players set !stage mission 2900
execute if score !missions mission matches 14 run title @a title {"text":"Stolen on the road","color":"dark_aqua"}
execute if score !missions mission matches 14 run title @a subtitle {"text":"Steal the weapon on the truck","color":"aqua"}

#load mission 15
execute if score !missions mission matches 15 run summon armor_stand 60.52 111.00 -38.50 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_gun","custom_feature"]}
execute if score !missions mission matches 15 run summon armor_stand 63.46 111.00 -38.50 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_shotgun","custom_feature"]}
execute if score !missions mission matches 15 run summon armor_stand 51.62 106.00 7.63 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_armor","custom_feature"]}
execute if score !missions mission matches 15 run scoreboard players set !level mission 19
execute if score !missions mission matches 15 run scoreboard players set !stage mission 3000
execute if score !missions mission matches 15 run title @a title {"text":"Train Robbery","color":"dark_aqua"}
execute if score !missions mission matches 15 run title @a subtitle {"text":"Rob the train","color":"aqua"}

#load mission 16
execute if score !missions mission matches 16 run summon armor_stand 222.37 172.00 -199.52 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_sniper","custom_feature"]}
execute if score !missions mission matches 16 run summon armor_stand 191.47 147.00 -201.52 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_gun","custom_feature"]}
execute if score !missions mission matches 16 run summon armor_stand 189.50 142.00 -198.46 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_food","custom_feature"]}
execute if score !missions mission matches 16 run summon armor_stand 205.49 171.00 -200.55 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_food","custom_feature"]}
execute if score !missions mission matches 16 run summon armor_stand 177.42 124.00 -192.62 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_gun","custom_feature"]}
execute if score !missions mission matches 16 run scoreboard players set !level mission 20
execute if score !missions mission matches 16 run scoreboard players set !stage mission 3100
execute if score !missions mission matches 16 run title @a title {"text":"King Of The Hill","color":"dark_aqua"}
execute if score !missions mission matches 16 run title @a subtitle {"text":"Climb to the top of the mountain","color":"aqua"}

#load mission 17
execute if score !missions mission matches 17 run summon armor_stand 71.60 160.00 -66.47 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_sniper","custom_feature"]}
execute if score !missions mission matches 17 run summon armor_stand 76.49 160.00 -66.49 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_food","custom_feature"]}
execute if score !missions mission matches 17 run scoreboard players set !level mission 22
execute if score !missions mission matches 17 run scoreboard players set !stage mission 3200
execute if score !missions mission matches 17 run title @a title {"text":"Sniper","color":"dark_aqua"}
execute if score !missions mission matches 17 run title @a subtitle {"text":"Snipe targets from the helicopter","color":"aqua"}

#load mission 18
execute if score !missions mission matches 18 run summon armor_stand 55.57 120.00 -103.49 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_shotgun","custom_feature"]}
execute if score !missions mission matches 18 run summon armor_stand 56.50 120.00 -100.56 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_shotgun","custom_feature"]}
execute if score !missions mission matches 18 run summon armor_stand 57.46 121.00 -111.41 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_bomb","custom_feature"]}
execute if score !missions mission matches 18 run summon armor_stand 56.47 120.00 -106.48 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_heal","custom_feature"]}
execute if score !missions mission matches 18 run summon armor_stand 54.54 120.00 -96.41 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_heal","custom_feature"]}
execute if score !missions mission matches 18 run summon armor_stand 55.55 120.00 -98.41 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_gun","custom_feature"]}
execute if score !missions mission matches 18 run scoreboard players set !level mission 23
execute if score !missions mission matches 18 run scoreboard players set !stage mission 3300
execute if score !missions mission matches 18 run title @a title {"text":"Hotel Invasion","color":"dark_aqua"}
execute if score !missions mission matches 18 run title @a subtitle {"text":"Get inside and eliminate all targets","color":"aqua"}

#load mission 19
execute if score !missions mission matches 19 run summon armor_stand 210.46 126 -194.55 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_armor","custom_feature"]}
execute if score !missions mission matches 19 run summon armor_stand 219.46 124.00 -167.55 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_food","custom_feature"]}
execute if score !missions mission matches 19 run summon armor_stand 215.44 126.00 -185.54 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_shotgun","custom_feature"]}
execute if score !missions mission matches 19 run summon armor_stand 209.62 126.00 -185.59 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_power","custom_feature"]}
execute if score !missions mission matches 19 run scoreboard players set !level mission 24
execute if score !missions mission matches 19 run scoreboard players set !stage mission 3500
execute if score !missions mission matches 19 run title @a title {"text":"Bank Heist","color":"dark_aqua"}
execute if score !missions mission matches 19 run title @a subtitle {"text":"Rob the bank","color":"aqua"}

#load mission 20
execute if score !missions mission matches 20 run summon armor_stand 135.50 124.00 -141.51 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_sniper","custom_feature"]}
execute if score !missions mission matches 20 run scoreboard players set !level mission 26
execute if score !missions mission matches 20 run scoreboard players set !stage mission 3600
execute if score !missions mission matches 20 run title @a title {"text":"Multi Target","color":"dark_aqua"}
execute if score !missions mission matches 20 run title @a subtitle {"text":"Assasinate all targets","color":"aqua"}

#load mission 21
execute if score !missions mission matches 21 run summon armor_stand 154.47 119.00 -69.49 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_flame","custom_feature"]}
execute if score !missions mission matches 21 run summon armor_stand 161.56 119.00 -102.49 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_grand","custom_feature"]}
execute if score !missions mission matches 21 run scoreboard players set !level mission 28
execute if score !missions mission matches 21 run scoreboard players set !stage mission 3700
execute if score !missions mission matches 21 run title @a title {"text":"Boss Battle","color":"dark_aqua"}
execute if score !missions mission matches 21 run title @a subtitle {"text":"Kill the pig boss","color":"aqua"}

#load mission 22
execute if score !missions mission matches 22 run summon armor_stand 158.45 159.00 9.51 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_grand","custom_feature"]}
execute if score !missions mission matches 22 run summon armor_stand 143.55 142.00 -4.57 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_flame","custom_feature"]}
execute if score !missions mission matches 22 run summon armor_stand 147.49 142.00 -5.53 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_heal","custom_feature"]}
execute if score !missions mission matches 22 run summon armor_stand 146.49 142.00 -1.52 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_power","custom_feature"]}
execute if score !missions mission matches 22 run summon armor_stand 161.49 148.00 9.54 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_food","custom_feature"]}
execute if score !missions mission matches 22 run scoreboard players set !level mission 29
execute if score !missions mission matches 22 run scoreboard players set !stage mission 3800
execute if score !missions mission matches 22 run title @a title {"text":"Light House","color":"dark_aqua"}
execute if score !missions mission matches 22 run title @a subtitle {"text":"Destroy the light house to stay hidden","color":"aqua"}

#load mission 23
execute if score !missions mission matches 23 run summon armor_stand 213.48 124.00 -214.52 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_bomb","custom_feature"]}
execute if score !missions mission matches 23 run summon armor_stand 216.55 124.00 -224.55 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_food","custom_feature"]}
execute if score !missions mission matches 23 run scoreboard players set !level mission 30
execute if score !missions mission matches 23 run scoreboard players set !stage mission 3900
execute if score !missions mission matches 23 run title @a title {"text":"Bunker Trap","color":"dark_aqua"}
execute if score !missions mission matches 23 run title @a subtitle {"text":"Enter the bunker and get to the vault","color":"aqua"}

#load mission 24
execute if score !missions mission matches 24 run summon armor_stand 22.49 145.00 -171.53 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_power","custom_feature"]}
execute if score !missions mission matches 24 run summon armor_stand 19.49 142.00 -176.52 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_heal","custom_feature"]}
execute if score !missions mission matches 24 run scoreboard players set !level mission 31
execute if score !missions mission matches 24 run scoreboard players set !stage mission 4000
execute if score !missions mission matches 24 run title @a title {"text":"Gang Factory","color":"dark_aqua"}
execute if score !missions mission matches 24 run title @a subtitle {"text":"Blow up the gang weapon factory","color":"aqua"}

#load mission 25
execute if score !missions mission matches 25 run scoreboard players set !level mission 32
execute if score !missions mission matches 25 run scoreboard players set !stage mission 4200
execute if score !missions mission matches 25 run title @a title {"text":"Im A Zombie","color":"dark_aqua"}
execute if score !missions mission matches 25 run title @a subtitle {"text":"Wake up from the nightmare","color":"aqua"}

#load mission 26
execute if score !missions mission matches 26 run summon armor_stand 44.50 107.00 -23.45 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_food","custom_feature"]}
execute if score !missions mission matches 26 run scoreboard players set !level mission 33
execute if score !missions mission matches 26 run scoreboard players set !stage mission 4300
execute if score !missions mission matches 26 run title @a title {"text":"UnderWater Raid","color":"dark_aqua"}
execute if score !missions mission matches 26 run title @a subtitle {"text":"Raid the underwater bunker","color":"aqua"}

#load mission 27
execute if score !missions mission matches 27 run summon armor_stand 159.44 141.50 -48.55 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_food","custom_feature"]}
execute if score !missions mission matches 27 run scoreboard players set !level mission 35
execute if score !missions mission matches 27 run scoreboard players set !stage mission 4500
execute if score !missions mission matches 27 run title @a title {"text":"Road Rage","color":"dark_aqua"}
execute if score !missions mission matches 27 run title @a subtitle {"text":"Survive as long as you can","color":"aqua"}

#pickup food
#summon armor_stand 49.55 141.00 -123.46 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_food","custom_feature"]}
execute at @e[type=armor_stand,tag=pickup_food] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:cooked_beef",Count:1b}}

#pickup armor
execute at @e[type=armor_stand,tag=pickup_shield] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:shield",Count:1b}}

#pickup shield
#summon armor_stand 91.59 126.00 -190.52 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_armor","custom_feature"]}
execute at @e[type=armor_stand,tag=pickup_armor] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:iron_chestplate",Count:1b}}

#pickup pistol
#summon armor_stand 48.50 142.00 -126.50 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_pistol","custom_feature"]}
execute at @e[type=armor_stand,tag=pickup_pistol] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:honey_bottle",Count:1b}}

#pickup gun
#summon armor_stand 51.50 142.00 -119.51 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_gun","custom_feature"]}
execute at @e[type=armor_stand,tag=pickup_gun] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:spectral_arrow",Count:1b}}

#pickup sniper
#summon armor_stand 54.54 147.00 -121.52 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_sniper","custom_feature"]}
execute at @e[type=armor_stand,tag=pickup_sniper] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:sweet_berries",Count:1b,tag:{CustomPotionColor:4325633}}}

#pickup shotgun
#summon armor_stand 48.47 147.00 -126.54 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_shotgun","custom_feature"]}
execute at @e[type=armor_stand,tag=pickup_shotgun] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:beetroot_soup",Count:1b,tag:{CustomPotionColor:3234140}}}

#pickup sword
#summon armor_stand 55.47 147.00 -129.47 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_sword","custom_feature"]}
execute at @e[type=armor_stand,tag=pickup_sword] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:iron_sword",Count:1b}}

#pickup axe
#summon armor_stand 48.52 147.00 -119.46 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_axe","custom_feature"]}
execute at @e[type=armor_stand,tag=pickup_axe] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:iron_axe",Count:1b}}

#pickup flame
#summon armor_stand 50.46 147.00 -131.52 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_flame","custom_feature"]}
execute at @e[type=armor_stand,tag=pickup_flame] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:flint_and_steel",Count:1b}}

#pickup bomb
#summon armor_stand 46.45 147.00 -122.50 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_bomb","custom_feature"]}
execute at @e[type=armor_stand,tag=pickup_bomb] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:tnt",Count:1b}}

#pickup granade
#summon armor_stand 55.51 147.00 -124.55 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_grand","custom_feature"]}
execute at @e[type=armor_stand,tag=pickup_grand] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:fire_charge",Count:1b}}

#pickup power
#summon armor_stand 52.50 147.00 -125.52 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_power","custom_feature"]}
execute at @e[type=armor_stand,tag=pickup_power] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:potion",Count:1b,tag:{CustomPotionColor:6497450}}}

#pickup heal
#summon armor_stand 50.47 147.00 -122.47 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_heal","custom_feature"]}
execute at @e[type=armor_stand,tag=pickup_heal] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:potion",Count:1b,tag:{CustomPotionColor:5214477}}}


#other all missions
tag @a add ignore03674
function we:load_mission
function we:save_game










